Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto
Class ExemptionMechanismException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  javax.crypto.ExemptionMechanismException

All Implemented Interfaces:
  Serializable

    public class ExemptionMechanismException

extends GeneralSecurityException

This is the generic ExemptionMechanism exception.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`ExemptionMechanismException()` Constructs a ExemptionMechanismException with no detailed message.
`ExemptionMechanismException(String msg)` Constructs a ExemptionMechanismException with the specified detailed message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExemptionMechanismException

    public ExemptionMechanismException()

  Constructs a ExemptionMechanismException with no detailed message. (A detailed message is a String that describes this particular exception.)

### ExemptionMechanismException

    public ExemptionMechanismException(String msg)

  Constructs a ExemptionMechanismException with the specified detailed message. (A detailed message is a String that describes this particular exception.)

  Parameters:
    `msg` - the detailed message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.